StaxTransformFeature.Portable (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.feature

## Class StaxTransformFeature.Portable

- java.lang.Object
- - org.apache.cxf.feature.StaxTransformFeature.Portable

- All Implemented Interfaces:
    `AbstractPortableFeature`, `Feature`
  Enclosing class:
    StaxTransformFeature

      public static class StaxTransformFeature.Portable
      extends Object
      implements AbstractPortableFeature

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Portable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doInitializeProvider​(InterceptorProvider provider, Bus bus)` |
    `void` | `setAttributesToElements​(boolean value)` |
    `void` | `setContextPropertyName​(String propertyName)` |
    `void` | `setInAppendElements​(Map<String,​String> inElements)` |
    `void` | `setInDropElements​(List<String> dropElementsSet)` |
    `void` | `setInTransformAttributes​(Map<String,​String> inAttributes)` |
    `void` | `setInTransformElements​(Map<String,​String> inElements)` |
    `void` | `setOutAppendElements​(Map<String,​String> map)` |
    `void` | `setOutDefaultNamespace​(String ns)` |
    `void` | `setOutDropElements​(List<String> dropElementsSet)` |
    `void` | `setOutTransformAttributes​(Map<String,​String> outAttributes)` |
    `void` | `setOutTransformElements​(Map<String,​String> outElements)` |
    `void` | `setSkipOnFault​(boolean value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.feature.AbstractPortableFeature

      `initialize, initialize, initialize, initialize`

- - ### Constructor Detail

    - #### Portable

          public Portable()

  - ### Method Detail

    - #### doInitializeProvider

          public void doInitializeProvider​(InterceptorProvider provider,
                                           Bus bus)

      Specified by:
        `doInitializeProvider` in interface `AbstractPortableFeature`

    - #### setOutTransformElements

          public void setOutTransformElements​(Map<String,​String> outElements)

    - #### setOutTransformAttributes

          public void setOutTransformAttributes​(Map<String,​String> outAttributes)

    - #### setAttributesToElements

          public void setAttributesToElements​(boolean value)

    - #### setSkipOnFault

          public void setSkipOnFault​(boolean value)

    - #### setOutAppendElements

          public void setOutAppendElements​(Map<String,​String> map)

    - #### setOutDropElements

          public void setOutDropElements​(List<String> dropElementsSet)

    - #### setInAppendElements

          public void setInAppendElements​(Map<String,​String> inElements)

    - #### setInDropElements

          public void setInDropElements​(List<String> dropElementsSet)

    - #### setInTransformElements

          public void setInTransformElements​(Map<String,​String> inElements)

    - #### setInTransformAttributes

          public void setInTransformAttributes​(Map<String,​String> inAttributes)

    - #### setOutDefaultNamespace

          public void setOutDefaultNamespace​(String ns)

    - #### setContextPropertyName

          public void setContextPropertyName​(String propertyName)